Package org.jbpm.process.workitem.core.util

## Class WidInfo

- java.lang.Object
- - org.jbpm.process.workitem.core.util.WidInfo

-     public class WidInfo
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `class` | `WidInfo.InternalServiceAction` |
    `class` | `WidInfo.InternalServiceAuth` |
    `class` | `WidInfo.InternalServiceInfo` |
    `class` | `WidInfo.InternalServiceTrigger` |
    `class` | `WidInfo.InternalWidMavenDependencies` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WidInfo​(List<Wid> wids)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getCategory()` |
    `String` | `getDefaultHandler()` |
    `String` | `getDefaultHandlerNoType()` |
    `String` | `getDefaultHandlerNoTypeUnEscaped()` |
    `String` | `getDefaultHandlerUnEscaped()` |
    `String` | `getDescription()` |
    `String` | `getDisplayName()` |
    `String` | `getDocumentation()` |
    `String` | `getIcon()` |
    `Map<String,​WidInfo.InternalWidMavenDependencies>` | `getMavenDepends()` |
    `String` | `getName()` |
    `Map<String,​org.jbpm.process.workitem.core.util.WidInfo.InternalWidParamsAndResults>` | `getParameters()` |
    `Map<String,​org.jbpm.process.workitem.core.util.WidInfo.InternalWidParameterValues>` | `getParameterValues()` |
    `Map<String,​org.jbpm.process.workitem.core.util.WidInfo.InternalWidParamsAndResults>` | `getResults()` |
    `WidInfo.InternalServiceInfo` | `getServiceInfo()` |
    `String` | `getWidfile()` |
    `void` | `setCategory​(String category)` |
    `void` | `setDefaultHandler​(String defaultHandler)` |
    `void` | `setDefaultHandlerNoType​(String defaultHandlerNoType)` |
    `void` | `setDefaultHandlerNoTypeUnEscaped​(String defaultHandlerNoTypeUnEscaped)` |
    `void` | `setDefaultHandlerUnEscaped​(String defaultHandlerUnEscaped)` |
    `void` | `setDescription​(String description)` |
    `void` | `setDisplayName​(String displayName)` |
    `void` | `setDocumentation​(String documentation)` |
    `void` | `setIcon​(String icon)` |
    `void` | `setMavenDepends​(Map<String,​WidInfo.InternalWidMavenDependencies> mavenDepends)` |
    `void` | `setName​(String name)` |
    `void` | `setParameters​(Map<String,​org.jbpm.process.workitem.core.util.WidInfo.InternalWidParamsAndResults> parameters)` |
    `void` | `setParameterValues​(Map<String,​org.jbpm.process.workitem.core.util.WidInfo.InternalWidParameterValues> parameterValues)` |
    `void` | `setResults​(Map<String,​org.jbpm.process.workitem.core.util.WidInfo.InternalWidParamsAndResults> results)` |
    `void` | `setServiceInfo​(WidInfo.InternalServiceInfo serviceInfo)` |
    `void` | `setWidfile​(String widfile)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WidInfo

          public WidInfo​(List<Wid> wids)

  - ### Method Detail

    - #### getWidfile

          public String getWidfile()

    - #### setWidfile

          public void setWidfile​(String widfile)

    - #### getName

          public String getName()

    - #### setName

          public void setName​(String name)

    - #### getDisplayName

          public String getDisplayName()

    - #### setDisplayName

          public void setDisplayName​(String displayName)

    - #### getCategory

          public String getCategory()

    - #### setCategory

          public void setCategory​(String category)

    - #### getIcon

          public String getIcon()

    - #### setIcon

          public void setIcon​(String icon)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription​(String description)

    - #### getDefaultHandler

          public String getDefaultHandler()

    - #### setDefaultHandler

          public void setDefaultHandler​(String defaultHandler)

    - #### getDefaultHandlerNoType

          public String getDefaultHandlerNoType()

    - #### setDefaultHandlerNoType

          public void setDefaultHandlerNoType​(String defaultHandlerNoType)

    - #### getDocumentation

          public String getDocumentation()

    - #### setDocumentation

          public void setDocumentation​(String documentation)

    - #### getParameters

          public Map<String,​org.jbpm.process.workitem.core.util.WidInfo.InternalWidParamsAndResults> getParameters()

    - #### setParameters

          public void setParameters​(Map<String,​org.jbpm.process.workitem.core.util.WidInfo.InternalWidParamsAndResults> parameters)

    - #### getParameterValues

          public Map<String,​org.jbpm.process.workitem.core.util.WidInfo.InternalWidParameterValues> getParameterValues()

    - #### setParameterValues

          public void setParameterValues​(Map<String,​org.jbpm.process.workitem.core.util.WidInfo.InternalWidParameterValues> parameterValues)

    - #### getResults

          public Map<String,​org.jbpm.process.workitem.core.util.WidInfo.InternalWidParamsAndResults> getResults()

    - #### setResults

          public void setResults​(Map<String,​org.jbpm.process.workitem.core.util.WidInfo.InternalWidParamsAndResults> results)

    - #### getMavenDepends

          public Map<String,​WidInfo.InternalWidMavenDependencies> getMavenDepends()

    - #### setMavenDepends

          public void setMavenDepends​(Map<String,​WidInfo.InternalWidMavenDependencies> mavenDepends)

    - #### getServiceInfo

          public WidInfo.InternalServiceInfo getServiceInfo()

    - #### setServiceInfo

          public void setServiceInfo​(WidInfo.InternalServiceInfo serviceInfo)

    - #### getDefaultHandlerUnEscaped

          public String getDefaultHandlerUnEscaped()

    - #### setDefaultHandlerUnEscaped

          public void setDefaultHandlerUnEscaped​(String defaultHandlerUnEscaped)

    - #### getDefaultHandlerNoTypeUnEscaped

          public String getDefaultHandlerNoTypeUnEscaped()

    - #### setDefaultHandlerNoTypeUnEscaped

          public void setDefaultHandlerNoTypeUnEscaped​(String defaultHandlerNoTypeUnEscaped)